librte-meter18.11_18.11.2-1ubuntu0.19.04.1_i386.deb


Advertisement

Description

librte-meter18.11 - Data Plane Development Kit (librte-meter runtime library)

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Updates Main i386
Package filename librte-meter18.11_18.11.2-1ubuntu0.19.04.1_i386.deb
Package name librte-meter18.11
Package version 18.11.2
Package release 1ubuntu0.19.04.1
Package architecture i386
Package type deb
Category libs
Homepage https://dpdk.org/doc/api/rte__meter_8h.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 5.55 KB
Installed size 49.00 KB
DPDK is a set of libraries for fast packet processing. Applications run
in user-space and communicate directly with dedicated network interfaces.
This package contains the runtime libraries for librte_meter.

Alternatives

Package Version Architecture Repository
librte-meter18.11_18.11.2-1ubuntu0.19.04.1_amd64.deb 18.11.2 amd64 Ubuntu Updates Main
librte-meter18.11_18.11-6_i386.deb 18.11 i386 Ubuntu Main
librte-meter18.11_18.11-6_amd64.deb 18.11 amd64 Ubuntu Main
librte-meter18.11 - - -

Requires

Name Value
libbsd0 >= 0.0
libc6 >= 2.3.6-6~
libnuma1 >= 2.0.11
librte-eal18.11 >= 16.04
librte-kvargs18.11 >= 16.04

Conflicts

Name Value
libdpdk0 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package librte-meter18.11_18.11.2-1ubuntu0.19.04.1_i386.deb
Source Package dpdk

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librte-meter18.11 deb package:
    # sudo apt-get install librte-meter18.11

Changelog

2019-07-12 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
dpdk (18.11.2-1ubuntu0.19.04.1) disco; urgency=medium
* Make DPDK LTS release available in Disco (LP: #1836365)
- includes a fix for mlx rdma-core dependencies (LP: #1820957)
2019-07-04 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
dpdk (18.11.2-1) experimental; urgency=medium
[ Christian Ehrhardt ]
* Merge stable update to 18.11.2; For a list of changes see
http://doc.dpdk.org/guides-18.11/rel_notes/release_18_11.html#id1
- refresh 0004-build-bump-minimum-Meson-version-to-0.47.1.patch for 18.11.2
- drop changes upstream in 18.11.2
0002-build-use-generic-march-on-arm64-when-using-default.patch
lp-1827102-kni-fix-build-with-Linux-5.1.patch
[ Santiago Ruano Rincón ]
* debian/rules: clean doc files
2019-05-08 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
dpdk (18.11.1-3) experimental; urgency=medium
* d/control: add dependencies to libdpdk-dev: libelf-dev and libjansson-dev
to avoid pkg-config issues
* d/control: drop unused build dependency to libcap-dev
2019-05-03 - Christian Ehrhardt <christian.ehrhardt@canonical.com>
dpdk (18.11.1-2) experimental; urgency=medium
[ Christian Ehrhardt ]
* d/control: drop shlibs:Depends from dpdk as it has no binaries anymore
* d/p/lp-1827102-kni-fix-build-with-Linux-5.1.patch fix kni DKMS build with
Linux 5.1 kernels (LP: #1827102)
[ Luca Boccassi ]
* Bump Standards-Version to 4.3.0, no changes.
2019-04-16 - Luca Boccassi <bluca@debian.org>
dpdk (18.11.1-1) experimental; urgency=medium
[ Christian Ehrhardt ]
* Merge stable update to 18.11.1; For a list of changes see
https://doc.dpdk.org/guides-18.11/rel_notes/release_18_11.html
- refresh 0004-build-bump-minimum-Meson-version-to-0.47.1.patch for 18.11.1
- drop changes upstream in 18.11.1
0001-doc-fix-garbage-text-in-generated-HTML-guides.patch
0003-build-mention-march-in-pkg-config-description.patch
0001-kni-fix-build-for-dev_open-in-Linux-5.0.patch
0002-kni-fix-build-for-igb_ndo_bridge_setlink-in-Linux-5..patch
* d/control: fix usability issue with mlx PMDs which might need rdma-core
to be installed. In most cases users will want this, to be able to
drop rdma-core if unwanted in some cases this is only a recommends added
to librte-pmd-mlx4-18.11 and librte-pmd-mlx5-18.11 (Closes: #925141)
2019-02-07 - Luca Boccassi <bluca@debian.org>
dpdk (18.11-6) unstable; urgency=medium
[ Luca Boccassi ]
* Add NEWS entry to list changes to dpdk-dev. (Closes: #921043)
[ Christian Ehrhardt ]
* d/control: ensure break relationships are backportable (Closes: #921042)
* d/p/*kni-fix-build*: fix build with kernel 5.0 (LP: #1814919)
2019-01-30 - Luca Boccassi <bluca@debian.org>
dpdk (18.11-5) unstable; urgency=medium
[ Christian Ehrhardt ]
* d/control: add librte-mempool-ring to the list of default libs that dpdk
Recommends. This ensures a generally functional mempool backend by default
but stays configurable (remove librte-mempool-ring and/or add other
librte-mempool packages).
[ Luca Boccassi ]
* libdpdk-dev: depend on libipsec-mb-dev as its linker flag is in
pkg-config's static list.

See Also

Package Description
librte-net18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-net runtime library)
librte-pci18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte_pci runtime library)
librte-pmd-af-packet18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-af-packet runtime library)
librte-pmd-bond18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-bond runtime library)
librte-pmd-e1000-18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-e1000 runtime library)
librte-pmd-fm10k18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-fm10k runtime library)
librte-pmd-i40e18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-i40e runtime library)
librte-pmd-ixgbe18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-ixgbe runtime library)
librte-pmd-mlx4-18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-mlx4 runtime library)
librte-pmd-mlx5-18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-mlx5 runtime library)
librte-pmd-netvsc18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-netvsc runtime library)
librte-pmd-pcap18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-pcap runtime library)
librte-pmd-ring18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte-pmd-ring runtime library)
librte-pmd-tap18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte_pmd_tap runtime library)
librte-pmd-thunderx18.11_18.11.2-1ubuntu0.19.04.1_i386.deb Data Plane Development Kit (librte_pmd_thunderx runtime library)
Advertisement
Advertisement